Uploaded image for project: 'Spring Data Commons'
  1. Spring Data Commons
  2. DATACMNS-109

Upgrade to latest Querydsl

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Trivial
    • Resolution: Fixed
    • Affects Version/s: 1.2 M2
    • Fix Version/s: 1.2 Final
    • Component/s: Core
    • Labels:
      None
    • Environment:
      JDK 1.7

      Description

      Hello,

      Unit tests against spring-data-commons-core don't run on JDK 1.7.

      It happens because spring-data-commons-core depends on querydsl 2.2.0 version which has a known bug. Please see https://bugs.launchpad.net/querydsl/+bug/819861
      This issue was fixed in 2.2.1, so after I updated dependency everything works fine.

      Regards,
      Alexey.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              olivergierke Oliver Drotbohm
              Reporter:
              afansky Alexey Fansky
              Last updater:
              Trevor Marshall
              Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: